<%-- SiteMinder 12.52 chs/jsps/errorpage.jsp modified to send json or html based on the value of the X-Requested-With HTTP Header --%>
<%@page pageEncoding="UTF-8" import="com.ca.federation.cloud.TenantObject,com.ca.federation.cloud.util.ResourceBundleHelper" %>
<%-- Add json-simple version 1.1.1 or higher to the chs/WEB-INF/lib directory --%>
<%@ page import="org.json.simple.JSONObject,org.json.simple.JSONArray,org.json.simple.JSONValue"%>
<%
ResourceBundleHelper bundle = new ResourceBundleHelper(request.getLocale());
%>
<% 
response.addHeader("Cache-Control", "no-cache, no-store, must-revalidate"); // HTTP 1.1
response.addHeader("Pragma", "no-cache"); // HTTP 1.0
response.addHeader("Expires", "Thu, 01 Jan 1970 00:00:00 GMT");
%>
<%
// Note: There seems to be no tenant in the case of error, so branding is limited
TenantObject tenant = (TenantObject) request.getAttribute("tenant");
%>
<%-- choose content type based on HTTP Header --%>
<% if (null != request.getHeader("X-Requested-With") && request.getHeader("X-Requested-With").equals("XMLHttpRequest")) { %>
<% // JSON response
response.setContentType("application/json; charset=utf-8");

JSONObject json = new JSONObject();

// tenant data
if (null != tenant) {
	JSONObject jsonTenant = new JSONObject();
	jsonTenant.put("description", tenant.getTenantInfo());
	jsonTenant.put("name", tenant.getTenantTitle());

	// footer links
	JSONArray jsonFooterLinks = new JSONArray();
	JSONObject jsonFooterLink1 = new JSONObject();
	jsonFooterLink1.put("url", tenant.getFooter1Link());
	jsonFooterLink1.put("name", tenant.getFooter1Text());
	jsonFooterLinks.add(jsonFooterLink1);
	JSONObject jsonFooterLink2 = new JSONObject();
	jsonFooterLink2.put("url", tenant.getFooter2Link());
	jsonFooterLink2.put("name", tenant.getFooter2Text());
	jsonFooterLinks.add(jsonFooterLink2);
	JSONObject jsonFooterLink3 = new JSONObject();
	jsonFooterLink3.put("url", tenant.getFooter3Link());
	jsonFooterLink3.put("name", tenant.getFooter3Text());
	jsonFooterLinks.add(jsonFooterLink3);

	jsonTenant.put("footerlinks", jsonFooterLinks);

	json.put("tenant", jsonTenant);
}
		
// labels
JSONObject jsonLabel = new JSONObject();
JSONObject jsonCHSUI = new JSONObject();
JSONObject jsonScreen = new JSONObject();
jsonScreen.put("errorpagetitle", bundle.getLabelValue("label.chsui.errorpage.errorpagetitle"));
jsonScreen.put("errormessage", bundle.getLabelValue("label.chsui.errorpage.errormessage"));
jsonCHSUI.put("errorpage", jsonScreen);
jsonLabel.put("chsui", jsonCHSUI);
json.put("label", jsonLabel);

// error
json.put("error", true);

out.print(json.toJSONString());
out.flush();
%>
<% } else { // if X-Requested-With %>
<%-- original SiteMinder 12.52 error page --%>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title><%=bundle.getLabelValue("label.chsui.errorpage.errorpagetitle")%></title>
<body>
	<table width="100%" border="0">
		<tr>
			<td width="100%" align="center"><%=bundle.getLabelValue("label.chsui.errorpage.errormessage")%></td>
		</tr>
	</table>
</body>
</html>
<% } // if X-Requested-With %>